Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 623116 - Change of component via webservice does not change the assigned_to and qa_contact
Change of component via webservice does not change the assigned_to and qa_con...
Status: CLOSED NOTABUG
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
3.6
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-11 07:30 EDT by Shreyank Gupta
Modified: 2013-06-23 21:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-25 16:46:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shreyank Gupta 2010-08-11 07:30:42 EDT
Description of problem:

Change of Product and component for a bug to another, does not affect the assigned_to and qa_contact for the bug. Ideally it should get reassigned to the default owners and qa_contact (if any) for the new component/product.

I have checked that it happens when the required change occurs through web interface. It should behave similarly with the webservice. Otherwise one has to independently query the component owners and update bug, which is a specific overhead.
Comment 1 David Lawrence 2010-08-25 13:58:26 EDT
The Bug.update API has two parameters that can be passed in called 'set_default_assignee' and 'set_default_qa_contact' that if set to true will do what you are asking. If you do not set those are do not explicitly pass in new values for 'assigned_to' and 'qa_contact', the old values will be left alone.

Dave
Comment 2 Shreyank Gupta 2010-08-25 16:46:23 EDT
(In reply to comment #1)
> The Bug.update API has two parameters that can be passed in called
> 'set_default_assignee' and 'set_default_qa_contact' that if set to true will do
> what you are asking. If you do not set those are do not explicitly pass in new
> values for 'assigned_to' and 'qa_contact', the old values will be left alone.

This works. Thanks.

Note You need to log in before you can comment on or make changes to this bug.